/*
** This file is completely free, in every sense of the word.
** Do whatever you like with it, just beware that you use this
** code entirely at your own risk. I don't accept any liability
** whatsoever for any loss or damage caused by the use or
** misuse of this code.
**
** Jo Even Skarstein
** joska@nvg.org
** http://joska.nvg.org/
*/

#ifndef __DHST__
#define __DHST__

#define DHST_ADD 0xdadd
#define DHST_ACK 0xdade

int dhst_init(char *appname, char *apppath);
int dhst_add(char *docname, char *docpath, char *appname, char *apppath);
int dhst_ack(char *buffer);

typedef struct
{
	char	*appname,
			*apppath,
			*docname,
			*docpath;
} DHSTINFO;

#endif