/*
** This file is completely free, in every sense of the word.
** Do whatever you like with it, just beware that you use this
** code entirely at your own risk. I don't accept any liability
** whatsoever for any loss or damage caused by the use or
** misuse of this code.
**
** Jo Even Skarstein
** joska@nvg.org
** http://joska.nvg.org/
*/

#define	AVSTR2MSG(msg,offset,str)	(*(char **)(msg+offset) = str)
#define	AVMSG2STR(msg,offset)			((char *)(((long)msg[offset]<<16)|(((long)msg[offset+1])&0xffff)))

#define	AV_WHAT_IZIT		0x4732
#define	AV_PROTOKOLL		0x4700
#define	AV_EXIT				0x4736
#define	AV_ACCWINDOPEN		0x4724
#define	AV_ACCWINDCLOSED	0x4726
#define	AV_COPYFILE			0x4755
#define	AV_SENDKEY			0x4710
#define	AV_SENDCLICK		0x4709
#define	AV_DRAG_ON_WINDOW	0x4734
#define	VA_FILECOPIED		0x4756
#define	VA_START				0x4711
#define	VA_THAT_IZIT		0x4733
#define	VA_OB_UNKNOWN		0x0000
#define	VA_OB_TRASHCAN		1
#define	VA_OB_SHREDDER		2
#define	VA_OB_CLIPBOARD	3
#define	VA_DRAGACCWIND		0x4725
#define	VA_PROTOSTATUS		0x4701
#define	AV_WHAT_IZIT		0x4732
#define	AV_PROTOKOLL		0x4700
#define	AV_EXIT				0x4736
#define	AV_ACCWINDOPEN		0x4724
#define	AV_ACCWINDCLOSED	0x4726
#define	AV_STARTPROG		0x4722
#define	VA_PROGSTART		0x4723
#define	AV_VIEW				0x4751
#define	VA_START				0x4711
#define	VA_THAT_IZIT		0x4733
#define	VA_OB_TRASHCAN		1
#define	VA_OB_SHREDDER		2
#define	VA_DRAGACCWIND		0x4725
#define	VA_PROTOSTATUS		0x4701
#define	AV_OPENWIND			0x4720

int va_start(int apid, char *program, char *cmd);
int av_startprog(char *program, char *cmd);
int av_view(char *file);
int av_openwind(char *path, char *mask);
long av_find_server(short supported, int tries);
int av_exit(void);
int show_help(char *args);

